{
  rust-analyzer = {
    binary = {
      path_lookup = true;
    };
  };

  elm-language-server = {
    initialization_options = {
      disableElmLSDiagnostics = true;
      onlyUpdateDiagnosticsOnSave = false;
      elmReviewDiagnostics = "warning";
    };
  };

  cargotom = {
    initialization_options = {
      offline = false;
      stable = false;
      per_page_web = 50;
    };
  };

  haskell = {
    binary = {
      path_lookup = true;
    };
  };

  haskell-language-server = {
    initialization_options = {
      haskell = {
        formattingProvider = "fourmolu";
      };
    };
  };

  nix = {
    binary = {
      path_lookup = true;
    };
  };

  typst = {
    binary = {
      path_lookup = true;
    };
  };

  elixir-ls = {
    binary = {
      path_lookup = true;
    };
    settings = {
      dialyzerEnabled = true;
    };
  };
}
